<div class="container">
  <div>
    <!-- <div class="text-center">
        <h1 class="h4 text-gray-900 ">{{selectedAdmin ? 'Edit Admin' : 'Add Admin'}}</h1>
      </div> -->

    <form [formGroup]="adminForm" class="user">
      <fieldset>
        <legend>{{selectedAdmin ? 'Edit Admin' : 'Add Admin'}}</legend>
        <div class="row" *ngIf="editAdminPassword">
          <div class="col-sm-4">
            <label>Username</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="username" placeholder="Eg. mary01">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="username && username.errors?.required">Username is required.</span>
              </div>
            </div>
          </div>

          <div class="col-sm-4">
            <label>Password</label><sup>*</sup>
            <div class="form-group">
              <input type="password" class="form-control" formControlName="password" placeholder="Eg. password@123">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="password.errors?.required">Password is required.</span>
              </div>
            </div>
          </div>

          <div class="col-sm-4">
            <label>Confirm Password</label><sup>*</sup>
            <div class="form-group">
              <input type="password" class="form-control" formControlName="confirmPassword"
                placeholder="Eg. password@123">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="adminForm.errors?.passwordMismatch">Passwords do not match</span>
              </div>
            </div>
          </div>
        </div>

        <div class="row" *ngIf="editAdminUserInformation">
          <div class="col-sm-4">
            <label>First name</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="first_name" placeholder="Eg. Mary">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="first_name.errors?.required">First name is required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Middle name</label>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="middle_name" id="exampleInputEmail"
                placeholder="Eg. Elizabeth">
            </div>
          </div>
          <div class="col-sm-4">
            <label>Last name</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="last_name" id="last_name"
                placeholder="Eg. Smith">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="last_name.errors?.required">Last name is required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Address 1</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="address1" id="address1"
                placeholder="Eg. 100 Pine St">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="address1.errors?.required">Address 1 is required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Address 2</label>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="address2" id="address2"
                placeholder="Eg. 200 Cook St">
            </div>
          </div>
          <div class="col-sm-4">
            <label>City</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="city" id="city" placeholder="Eg. San Francisco">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="city.errors?.required">City is required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>State</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="state_id" id="state_id"
                placeholder="Eg. Califronia (CA)">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="state_id.errors?.required">State is required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Zipcode</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="zip" id="zip" placeholder="Eg. 94111">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="zip.errors?.required">Zipcode is required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Phone Number</label>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="phone" id="phone" placeholder="Eg. 541-754-3010">
              <span class="error-msg" *ngIf="phone?.errors?.pattern && submitted">Phone Number is invalid.</span>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Email</label><sup>*</sup>
            <div class="form-group">
              <input type="email" class="form-control" formControlName="email" id="email"
                placeholder="Eg. example@mail.com">

              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="email.errors?.required">Email is required.</span>
                <span class="error-msg" *ngIf="email.errors?.pattern">Email is invalid.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Retention Signature Name</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="retention_signature_name"
                id="retention_signature_name" placeholder="Eg. John Doe">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="retention_signature_name.errors?.required">Retention Signature Name is
                  required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <label>Retention Signature Title</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="retention_signature_title"
                id="retention_signature_title" placeholder="Eg. UI/UX Developer">
              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="retention_signature_title.errors?.required">Retention Signature Title is
                  required.</span>
              </div>
            </div>
          </div>
          <div class="col-sm-4">
            <div class="form-group">
              <div *ngIf="selectedAdmin?.photo && !url">
                <img src="{{apiUrl}}uploads/profile/{{selectedAdmin.photo}}" height="200px">
              </div>
              <img [src]="url" height="200"> <br />
              <input type='file' (change)="onSelectFile($event)">
              <span *ngIf="uploading">Uploading ...</span>

              <div *ngIf="adminForm.invalid && submitted">
                <span class="error-msg" *ngIf="photo?.errors?.invalidImageType">Invalid image type</span>
                <span class="error-msg" *ngIf="photo?.errors?.invalidImageSize">Image size should be less than
                  2MB</span>
              </div>
            </div>
          </div>
        </div>
      </fieldset>

      <!-- Add & Edit Buttons -->
      <button class="btn btn-primary  mr-3" *ngIf="editAdminUserInformation && editAdminPassword"
        [disabled]="uploadingAdmin" (click)="addAdmin()"> Save
      </button>
      <button class="btn btn-primary  mr-3" *ngIf="editAdminUserInformation && !editAdminPassword"
        [disabled]="uploadingAdmin" (click)="editAdminInformation()"> Save
      </button>
      <button class="btn btn-primary  mr-3" *ngIf="editAdminPassword && !editAdminUserInformation"
        [disabled]="uploadingAdmin" (click)="editAdminCredential()"> Save
      </button>

      <button class="btn btn-danger" (click)="onCancel()">Cancel</button>
      <span class="ml-2" *ngIf="uploadingAdmin">
        <i class="fas fa-spinner fa-spin"></i>
      </span>
      <hr>
    </form>
  </div>
</div>